@echo off
cls
color
set LAN_Name="LAN-Verbindung"

echo **************************************
echo * Automatische Netzwerkkonfiguration *
echo **************************************
echo Netzwerkverbinung mit dem Namen %LAN_Name% 
echo wird auf statische IP Adresse gesetzt...
echo.

if %computername%=="DHCP" GOTO Fehler1

netsh dump|find %LAN_Name% > nul
if %errorlevel%==1 GOTO Fehler2

if not exist res/%computername%.txt GOTO Fehler3
netsh exec res/%computername%.txt
if %errorlevel%==1 GOTO Fehler4

goto Ende

:Fehler1
echo ACHTUNG! Computername ist DHCP!!!
goto Ende

:Fehler2
color ec
echo Achtung! Name der LAN-Verbindung ist nicht %LAN_Name%, bitte ueberpruefen.
goto Ende

:Fehler3
color ec
echo Achtung! Die Konfigurationsdatei res/%computername%.txt existiert nicht!
echo Ist der Computername korrekt eingestellt?
goto Ende

:Fehler4
color ec
echo Achtung! netsh meldet einen Fehler!
echo  * Sind Adminrechte vorhanden?
echo  * Andere Netzwerkkonfigurationsprgramme offen? Zuerst schliessen!
goto Ende

:Ende
